/*
 This source is part of UnitKit, a unit test framework for Mac OS X 
 development. You can find more information about UnitKit at:
 
 http://x180.net/Code/UnitKit
 
 Copyright (c)2004 James Duncan Davidson
 
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 
 http://www.apache.org/licenses/LICENSE-2.0
 
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 
 The use of the Apache License does not indicate that this project is
 affiliated with the Apache Software Foundation.
 */

#import <Foundation/Foundation.h>

@interface UKRunner : NSObject {
    int testClassesRun;
    int testMethodsRun;
}

+ (int) runTests;

- (void) runTestsInBundle:(NSBundle *)bundle;
- (void) runTests:(NSArray *)testMethods onObject:(id)testObject;

- (void) setUpAppObjectIfNeededForBundle: (NSBundle *)testBundle;

#ifndef GNUSTEP
+ (void) performGrowlNotification
:(int) testsPassed 
:(int) testsFailed
:(int) testClassesRun
:(int) testMethodsRun;
#endif

@end

NSArray *UKTestClasseNamesFromBundle(NSBundle *bundle);
NSArray *UKTestMethodNamesFromClass(Class c);
